summaryrefslogtreecommitdiffstats
path: root/source/y/bsd-games/bsd-games.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/y/bsd-games/bsd-games.SlackBuild
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/y/bsd-games/bsd-games.SlackBuild')
-rwxr-xr-xsource/y/bsd-games/bsd-games.SlackBuild151
1 files changed, 151 insertions, 0 deletions
diff --git a/source/y/bsd-games/bsd-games.SlackBuild b/source/y/bsd-games/bsd-games.SlackBuild
new file mode 100755
index 000000000..976f5570b
--- /dev/null
+++ b/source/y/bsd-games/bsd-games.SlackBuild
@@ -0,0 +1,151 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=${VERSION:-2.13}
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-9}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-bsdgames
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf bsd-games-$VERSION
+tar xvf $CWD/bsd-games-$VERSION.tar.bz2 || exit 1
+cd bsd-games-$VERSION || exit 1
+zcat $CWD/bsd-games.config.params.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
+./configure
+zcat $CWD/bsd-games.ospeed.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
+zcat $CWD/bsd-games.fortunepath.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
+zcat $CWD/bsd-games.fortlen.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
+zcat $CWD/bsd-games.strfile.8.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
+zcat $CWD/bsd-games.trek-gcc4.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
+zcat $CWD/bsd-games.phantasia_install_fix.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
+
+## Without the old default (with, of course, a command line switch), and an updated
+## man page, even though PJV wrote this, it just doesn't make the cut. I hope it's
+## still of use to somebody though. It increases the accuracy of pom by two orders
+## of magnitude. Enjoy!
+##zcat $CWD/bsd-games.pom.diff.gz | patch -p1 --verbose || exit 1
+
+# Now that Eric took my joke seriously... heh. It's a wonder any Work gets done here.
+zcat $CWD/bsd-games.pom.diff.gz | patch -p1 --verbose || exit 1
+
+cp fortune/datfiles/unamerican-o.real fortune/datfiles/unamerican-o.fake
+cp fortune/datfiles/unamerican-o.real unamerican-o
+( cd fortune/datfiles ; strfile unamerican-o unamerican-o.dat )
+make
+# Does this go to $PKG? I am perplexed.
+make install
+
+mkdir -p $PKG/usr/doc/bsd-games-$VERSION
+cp -a \
+ AUTHORS BUGS INSTALL NEWS PACKAGING README SECURITY THANKS \
+ TODO YEAR2000 $PKG/usr/doc/bsd-games-$VERSION
+cp -a fortune/README $PKG/usr/doc/bsd-games-$VERSION/README.fortune
+cp -a hunt/README $PKG/usr/doc/bsd-games-$VERSION/README.hunt
+cp -a hunt/README.linux $PKG/usr/doc/bsd-games-$VERSION/README.linux.hunt
+cp -a phantasia/README $PKG/usr/doc/bsd-games-$VERSION/README.phantasia
+cp -a trek/README.linux $PKG/usr/doc/bsd-games-$VERSION/README.linux.trek
+chown root.root $PKG/usr/doc/bsd-games-$VERSION/*
+chmod 644 $PKG/usr/doc/bsd-games-$VERSION/*
+
+cd $PKG
+# Add profile scripts:
+mkdir -p etc/profile.d
+cat $CWD/bsd-games-login-fortune.sh > etc/profile.d/bsd-games-login-fortune.sh
+cat $CWD/bsd-games-login-fortune.csh > etc/profile.d/bsd-games-login-fortune.csh
+chmod 755 etc/profile.d/bsd-games-login-fortune.*
+
+# Add some cool Linux related quotes:
+tar xvf $CWD/fortunes-linuxcookie.tar.gz || exit 1
+# I'm not in favor of censorship of any kind. If you are, you'll
+# have to be the one to delete these:
+rm -f $PKG/usr/share/games/fortunes/limerick
+rm -f $PKG/usr/share/games/fortunes/limerick.dat
+tar xvf $CWD/fortunes-o.tar.gz || exit 1
+# Run strfile on all fortune files:
+( cd $PKG/usr/share/games/fortunes
+ for file in *.dat ; do
+ $PKG/usr/bin/strfile -r $(basename $file .dat)
+ done
+ # These ones are rot13:
+ for file in *-o.dat ; do
+ $PKG/usr/bin/strfile -r -x $(basename $file .dat)
+ done
+)
+# Strip binaries:
+strip $PKG/usr/games/* $PKG/usr/bin/* $PKG/usr/sbin/*
+# Fix perms:
+mkdir -p $PKG/usr/share/dict
+zcat $CWD/hangman-words.gz > $PKG/usr/share/dict/words
+chmod 644 $PKG/var/lib/bsdgames/phantasia/characs
+
+# OK, I'll try to be nice but the first time you're still $cr3w3d unless you
+# installpkg first.
+( cd $PKG/var/lib/bsdgames
+ find . -type f -exec mv {} {}.new \;
+)
+
+mkdir -p $PKG/install
+cat << EOF > $PKG/install/doinst.sh
+#!/bin/sh
+config() {
+ NEW="\$1"
+ OLD="\$(dirname \$NEW)/\$(basename \$NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r \$OLD ]; then
+ mv \$NEW \$OLD
+ elif [ "\$(cat \$OLD | md5sum)" = "\$(cat \$NEW | md5sum)" ]; then # toss the redundant copy
+ rm \$NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+config var/lib/bsdgames/criblog.new
+config var/lib/bsdgames/saillog.new
+config var/lib/bsdgames/cfscores.new
+config var/lib/bsdgames/atc_score.new
+config var/lib/bsdgames/phantasia/gold.new
+config var/lib/bsdgames/phantasia/mess.new
+config var/lib/bsdgames/phantasia/motd.new
+config var/lib/bsdgames/phantasia/void.new
+config var/lib/bsdgames/phantasia/monsters.new
+config var/lib/bsdgames/phantasia/lastdead.new
+config var/lib/bsdgames/phantasia/characs.new
+config var/lib/bsdgames/phantasia/scoreboard.new
+config var/lib/bsdgames/battlestar.log.new
+config var/lib/bsdgames/robots_roll.new
+config var/lib/bsdgames/snakerawscores.new
+config var/lib/bsdgames/snake.log.new
+rm -f var/lib/bsdgames/criblog.new var/lib/bsdgames/saillog.new var/lib/bsdgames/cfscores.new var/lib/bsdgames/atc_score.new var/lib/bsdgames/phantasia/gold.new var/lib/bsdgames/phantasia/mess.new var/lib/bsdgames/phantasia/motd.new var/lib/bsdgames/phantasia/void.new var/lib/bsdgames/phantasia/monsters.new var/lib/bsdgames/phantasia/lastdead.new var/lib/bsdgames/phantasia/characs.new var/lib/bsdgames/phantasia/scoreboard.new var/lib/bsdgames/battlestar.log.new var/lib/bsdgames/robots_roll.new var/lib/bsdgames/snakerawscores.new var/lib/bsdgames/snake.log.new
+EOF
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/bsd-games-$VERSION-$ARCH-$BUILD.txz
+